<?php
namespace AIOSEO\Plugin\Extend\Schema;

use AIOSEO\Plugin\Common\Schema as CommonSchema;

/**
 * Builds our schema.
 *
 * @since 1.0.0
 */
class Schema extends CommonSchema\Schema {

	/**
	 * Returns the JSON schema for the requested page.
	 *
	 * @since 1.0.0
	 *
	 * @return string The JSON schema.
	 */
	public function get() {
		// First, let's check if it's disabled.
		if ( in_array( 'enableSchemaMarkup', aioseo()->internalOptions->deprecatedOptions, true ) ) {
			if ( ! aioseo()->options->deprecated->searchAppearance->global->schema->enableSchemaMarkup ) {
				return '';
			}
		}

		/* $isLocation = false;
		if ( is_singular() ) {
			$post = get_post();
			if ( $post && 'aioseo-location' === $post->post_type ) {
				$isLocation = true;
			}
		} */

		if (
			//! $isLocation && ! aioseo()->options->localBusiness->locations->general->multiple &&
			! is_front_page()
		) {
			return parent::get();
		}

		$schema             = (array) json_decode( parent::get() );
		$schema['@graph'][] = array_filter( ( new Graphs\LocalBusiness )->get() );
		if ( isset( $_GET['aioseo-dev'] ) ) {
			return wp_json_encode( $schema, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE );
		}
		return wp_json_encode( $schema );
	}
}